#ifndef PROBLEM_HPP
#define PROBLEM_HPP

#include "Common.hpp"
#include "Grid.hpp"
#include "Point.hpp"

typedef Grid<char> Board;

bool parseProblem(const std::string& data,
                  Board* pBoard,
                  Point* pStartPoint,
                  std::string* pMsg = nullptr);

bool formatProblem(const Board& board,
                   Point startPoint,
                   std::string* pData,
                   std::string* pMsg = nullptr);

#endif
