#ifndef IMPROVER_HPP
#define IMPROVER_HPP

#include "Common.hpp"
#include "Problem.hpp"
#include "Solution.hpp"

void improve(const Board& board,
             Point startPoint,
             const std::string& buy,
             uint32_t durationMS,
             uint32_t seed1,
             uint32_t seed2,
             bool verbose,
             Solution* pSolution,
             uint32_t* pTime);

#endif
