#ifndef PUZZLE_HPP
#define PUZZLE_HPP

#include "Common.hpp"
#include "Point.hpp"

class Puzzle
{
public:
    uint32_t m_bNum = 0;
    uint32_t m_eNum = 0;
    uint32_t m_tSize = 0;
    uint32_t m_vMin = 0;
    uint32_t m_vMax = 0;
    uint32_t m_mNum = 0;
    uint32_t m_fNum = 0;
    uint32_t m_dNum = 0;
    uint32_t m_rNum = 0;
    uint32_t m_cNum = 0;
    uint32_t m_xNum = 0;
    std::vector<Point> m_iSqs;
    std::vector<Point> m_oSqs;
};

bool parsePuzzle(const std::string& data,
                 Puzzle* pPuzzle,
                 std::string* pMsg = nullptr);

#endif
